# Morph API

This mod adds morph pads to minetest and an API for other mods to create morphs.
By default if installed on minetest-game, a morph for the default player model is provided.
Other mods can register new morphs. They can specify the player properties manually
or they can specify a model that was registered in the player\_api mod from minetest\_game.

# API

the api works like this. register a morph by doing this 

`morph_api.register_morph(name,morph_definition_table)`

to register a morph using a player\_api model, do this:

```lua
morph_api.register_morph("Default",{
    player_model = "character.b3d",
    physics = {speed = 1, jump = 1, gravity = 1, sneak = true}
})
```

that example there is done in the code to register the default morph. ok thats all the documentation i can be bothered to write. but more info is in the code itself. including other parameters for the morph definition table.

# Credit

Code written by me and is AGPLv3. Morph pad texture made by me and are CC0.

Even though they are not part of the mod, since its in the screenshot, i will credit it too. Fox model and texture made by whoever made them for the Animalia mod.
